# Incorporating Ligands Binding to Specific Sequence/Structure Motifs

Ligand binding to specific hairpin/interior loop like motifs using the Soft Constraints feature.

  Typedefs

  typedef struct vrna_sc_motif_s vrna_sc_motif_t
    #include <ViennaRNA/constraints/ligand.h>

    Type definition for soft constraint motif.

  Functions

  int vrna_sc_add_hi_motif( vrna_fold_compound_t *fc, const char *seq, const char *structure, FLT_OR_DBL energy, unsigned int options)
    #include <ViennaRNA/constraints/ligand.h>

    Add soft constraints for hairpin or interior loop binding motif.

    Here is an example that adds a theophylline binding motif. Free energy contribution is derived from \(k_d = 0.1 \mu M\), taken from Jenison et al. 1994. At \(1M\) concentration the corresponding binding free energy amounts to \(-9.93~kcal/mol\).

        vrna_sc_add_hi_motif(fc,
                             "GAUACCAG&CCCUUGGCAGC",
                             "(...((((&)...)))...)",
                             -9.93, VRNA_OPTION_DEFAULT);

    SWIG Wrapper Notes:

      This function is attached as method `sc_add_hi_motif()` to objects of type `fold_compound`. The last parameter is optional an defaults to `options` = VRNA_OPTION_DEFAULT. See, e.g. `RNA.fold_compound.sc_add_hi_motif()` in the Python API .

    Parameters:

      - fc – The vrna_fold_compound_t the motif is applied to

      - seq – The sequence motif (may be interspaced by ‘&’ character

      - structure – The structure motif (may be interspaced by ‘&’ character

      - energy – The free energy of the motif (e.g. binding free energy)

      - options – Options

    Returns:

      non-zero value if application of the motif using soft constraints was successful

  vrna_sc_motif_t *vrna_sc_ligand_detect_motifs( vrna_fold_compound_t *fc, const char *structure)
    #include <ViennaRNA/constraints/ligand.h>
  vrna_sc_motif_t *vrna_sc_ligand_get_all_motifs( vrna_fold_compound_t *fc)
    #include <ViennaRNA/constraints/ligand.h>
  struct vrna_sc_motif_s

    Public Members

    int i
    int j
    int k
    int l
    int number